| Home | Libraries | People | FAQ | More

## Function template uninitialized_copy_or_move

boost::uninitialized_copy_or_move

## Synopsis

    // In header: <boost/move/algorithm.hpp>

    template<typename I, typename F> F uninitialized_copy_or_move(I f, I l, F r);

## Description

Effects:

    for (; first != last; ++result, ++first)
       new (static_cast<void*>(&*result))
          typename iterator_traits<ForwardIterator>::value_type(*first);

Returns: result

Note: This function is provided because std::uninitialized_copy from some STL implementations is not compatible with `move_iterator`